package com.ruoyi.project.business.enums.lead;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author fangk
 * @date 2024/5/22
 * @desc LeadStatusEnum 线索状态枚举
 */
@AllArgsConstructor
@Getter
public enum LeadStatusEnum {

    //待分配
    //已分配
    //已回收
    //跟进中
    //转化客户
    //转化报价
    //转化成单
    //无效
    //转化项目
    //静默

    TO_BE_ALLOCATED("1", "待分配"),
    ALLOCATED("2", "已分配"),
    RECYCLED("3", "已回收"),
    FOLLOWING("4", "跟进中"),
    CONVERTED_CUSTOMER("5", "转化客户"),
    CONVERTED_QUOTE("6", "转化报价"),
    CONVERTED_ORDER("7", "转化成单"),
    INVALID("8", "无效"),
    CONVERTED_PROJECT("9", "转化项目"),
    ON_HOLD("10", "静默"),
    // CONVERTED_DRAWING("11", "转化出图")
    

    ;


    private final String code;
    private final String desc;
}